# frozen_string_literal: true

module Hermes
  class XmlSopraError
    include Hermes::Concerns::CommonFieldsConcern
    field :item_id, type: BSON::ObjectId
    field :item_class, type: String
    field :path , type: String
    field :playload, type: String
    field :error_content, type: String

    common_indexes *%i[
      item_id
      item_class
      path
    ]

    def pretty_print_playload
      return nil unless playload

      doc = Nokogiri::XML(playload,&:noblanks)
      doc.to_xhtml(indent: 2)
    end
  end
end
