# frozen_string_literal: true

def require_in_rex_client(*arr)
  arr.each do |path|
    require "hermes/rex_client/#{path}"
  end
end

require_in_rex_client(
  *%w[
    version
    configuration
  ]
)

module Hermes
  module RexClient
    def self.config(reload = false)
      return (@config = Configuration.new) if !@config || reload

      @config
    end

    def self.config=(value)
      @config = value
    end

    def self.configure(reload = false)
      yield(config(reload))
    end
  end
end

require_in_rex_client(
  *%w[
    client
    tasks
  ]
)

require_status